-- 
--  conky equilizer / conky amp
-- based on: https://www.gnome-look.org/p/1112402/ by mazur888
-- reconstructed by Mark Ulrich using from a screenshot using gemini AI from google
-- License: GPL V2
-- important: adjust the path to the lua script around line 44 from /home/mark/ to /home/yourname/
-- you also might modify the sensors at bottom, like for wifi or temperature
-- place this script conky.conf and script.lua in /home/yourname/.config/conky/amp/
-- tested on: Linux Mint 22.3, AMD Ryzen 3 4300U (Nipogi P1)
-- requires: sudo apt install conky-all


conky.config = {
    alignment = 'top_right',
    -- xinerama_head = 2,
    background = false,
    border_width = 1,
    cpu_avg_samples = 2,
    default_color = 'white',
    default_outline_color = 'white',
    default_shade_color = 'white',
    double_buffer = true,
    draw_borders = false,
    draw_graph_borders = true,
    draw_outline = false,
    draw_shades = false,
    gap_x = 0,
    gap_y = 200,
    minimum_height = 400,
    minimum_width = 600,
    net_avg_samples = 2,
    no_buffers = true,
    out_to_console = false,
    out_to_stderr = false,
    own_window = true,
    own_window_class = 'Conky',
    own_window_type = 'desktop',
    own_window_transparent = true,
    own_window_hints = 'undecorated,below,sticky,skip_taskbar,skip_pager',
    update_interval = 1.0,
    uppercase = false,
    use_spacer = 'none',
    show_graph_scale = false,
    show_graph_range = false,
    
    use_xft = true,
    font = 'DejaVu Sans:size=9',
    
    lua_load = '/home/mark/.config/conky/amp/script.lua',
    lua_draw_hook_pre = 'conky_main',
}

conky.text = [[
${voffset 150}
${font DejaVu Sans:size=9}${color #FFFFFF}\
${goto 20}Cpu 1\
${goto 70}Cpu 2${goto 120}Ram${goto 170}Swap${goto 220}Home${goto 270}Free${goto 320}Down${goto 370}Up${goto 420}Wifi${goto 470}Fixed${goto 520}Temp
${font DejaVu Sans:size=9}${color #FFFFFF}\
${goto 20}${cpu cpu1}%\
${goto 70}${cpu cpu2}%\
${goto 120}${memperc}%\
${goto 170}${swapperc}%\
${goto 220}${fs_used_perc /home}%\
${goto 270}${fs_free_perc /}%\
${goto 320}${downspeedf}\
${goto 370}${upspeedf}\
${goto 420}${wireless_link_qual_perc}%\
${goto 470}AC\
${goto 520}${hwmon 0 temp 1}°C
]]
